Summary:      Manage the installation of software packages from source
Name:         stow
Version:      1.3.3
Release:      1
License:      GPLv2+
Group:        Development/Tools
URL:          http://www.gnu.org/software/stow/stow.html
Source:       http://ftp.gnu.org/gnu/stow/%{name}-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:    noarch
Requires:     /sbin/install-info, info

%description
GNU Stow is a program for managing the installation of software packages,
keeping them separate (/usr/local/stow/emacs vs. /usr/local/stow/perl, for
example) while making them appear to be installed in the same place
(/usr/local). Software to ease the keeping track of software built from
source, making it easy to install, delete, move etc.


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip -X32_64 ${RPM_BUILD_ROOT}%{_bindir}/* || :

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*.info

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir 2>/dev/null || :


%preun
if [ $1 -eq 0 ] ; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz \
        %{_infodir}/dir 2>/dev/null || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc COPYING README AUTHORS INSTALL ChangeLog NEWS THANKS TODO
%{_bindir}/*
%{_mandir}/man?/*
%{_infodir}/*
/usr/bin/*


%changelog
* Fri Jan 13 2012 Michael Perzl <michael@perzl.org> - 1.3.3-1
- first version for AIX V5.1 and higher
